> ## Documentation Index
> Fetch the complete documentation index at: https://docs.persistence.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete campaign

> Delete a campaign.



## OpenAPI

````yaml api-reference/campaigns/openapi.json DELETE /v1/calls/campaigns/{id}
openapi: 3.0.3
info:
  title: Persistence Campaigns API
  version: '1.0'
  description: Create and run outbound calling campaigns.
servers:
  - url: https://api.persistence.dev
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Campaigns
    description: Campaign creation and lifecycle control.
paths:
  /v1/calls/campaigns/{id}:
    delete:
      tags:
        - Campaigns
      summary: Delete campaign
      description: Delete a campaign.
      operationId: deleteCampaign
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Campaign ID
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Error:
      type: object
      properties:
        code:
          type: string
        error:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key issued for your workspace.

````